package com.ho.business.service;

import com.ho.business.entity.PlanCurveOperationRecordReq;
import com.ho.business.entity.PlanningCurveHistory;
import com.ho.business.entity.PlanningCurveTemplate;
import com.ho.business.entity.PlanningIssueDevice;
import com.ho.business.vo.resp.planningCurve.PlanningIssueQueryVo;
import com.ho.business.vo.resp.planningCurve.PlanningIssueVo;

import java.util.List;
import java.util.Map;

public interface PlanningCurveIssueService {

    public List<Map<String,Object>> getIssueDevices(PlanningIssueDevice issueDevice);

    public List<Map<String,Object>> getTemplate(PlanningIssueDevice issueDevice);

    public List<Map<String,Object>> getIssueDatas(PlanningIssueVo vo);

    public Map<String,Object> insertIssueStatus(PlanningIssueDevice issueDevice);

    public PlanningIssueDevice queryIssueStatus(PlanningIssueDevice issueDevice);

    public PlanningCurveTemplate queryCurrentIssue(PlanningIssueDevice issueDevice);

    public List<Map<String,Object>> getPlanCurveIssueData(PlanningIssueQueryVo vo);

    public void planCurveOperationRecord(PlanCurveOperationRecordReq planCurveOperationRecordReq);

    List<PlanCurveOperationRecordReq> getPlanCurveOperationList(String stationId,String lang);

    Map<String,Object> getPlanningCurveHistory(List<String> planningCurveIds);
}
